Get the posts trending across Reddit right now, from r/popular (worldwide or one country's) or r/all. Sort by hot, new, top, rising or controversial, with a time window (past hour to all time) for top and controversial. Returns title, text, subreddit, author, date, score, upvote ratio, comment count, flair, shared link and video/gallery links for each post, 25 per page, up to about 500 posts.
curl "https://apidirect.io/v1/reddit/trending?sort_by=hot&pages=2" \
-H "X-API-Key: YOUR_API_KEY"
{
"posts": [
{
"post_id": "1x91fou",
"title": "Tommy asked a question. Abdul El-Sayed answered and no one physically harmed Tommy.",
"url": "https://www.reddit.com/r/BlackPeopleofReddit/comments/1x91fou/tommy_asked_a_question_abdul_elsayed_answered_and/",
"date": "2026-10-18 11:58:02",
"author": "Damiana1111",
"author_url": "https://www.reddit.com/user/Damiana1111",
"source": "Reddit",
"domain": "reddit.com",
"snippet": "**\"Answer the question, Tommy. Everybody knows the answer to it.\"**",
"subreddit": "BlackPeopleofReddit",
"upvotes": 12357,
"upvote_ratio": 0.98,
"comments": 871,
"crossposts": 11,
"flair": "Politics",
"link_url": "https://v.redd.it/2krz9t3ht7wh1",
"thumbnail": "https://external-preview.redd.it/MDU3ZnhwMmh0N3doMVwiL369t9IGvDaBgYRPof2vTwA6JFUwNQ-nlvrN4aju.png?width=140&height=140&crop=1:1,smart&format=jpg&auto=webp&s=dd43b4c3a370f0dbcf009a0de277bacdbd839ccc",
"is_video": true,
"nsfw": false,
"spoiler": false,
"locked": false,
"stickied": false,
"video_url": "https://v.redd.it/2krz9t3ht7wh1/CMAF_480.mp4?source=fallback",
"video_hls_url": "https://v.redd.it/2krz9t3ht7wh1/HLSPlaylist.m3u8?a=1794925761%2COGE5NGZlNjIxNzhkYmE4Y2ZiMzU1MDU3NmIzNDViMGJjNzZjZWU5MTkyMjEzYWMxM2EwM2Y4N2JiOWQ3ZTdjZQ%3D%3D&v=1&f=sd",
"images": [],
"sentiment": {
"emotions": {
"joy": 40,
"trust": 55,
"fear": 0,
"surprise": 10,
"sadness": 0,
"disgust": 0,
"anger": 0,
"anticipation": 30
},
"dominant_emotion": "trust",
"emotional_intensity": 5,
"polarity": "positive"
}
}
],
"sort_by": "hot",
"pages": 2,
"count": 50
}